﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Infragistics.Web.UI.GridControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["GridData"] == null)
        {
            Session["GridData"] = GetDepartments();
            WebDataGrid1.DataSource = Session["GridData"];
            CreateColumns();
        }
        else
        {
            WebDataGrid1.DataSource = Session["GridData"];
        }
    }

    private void CreateColumns()
    {
        BoundDataField boundfield = new BoundDataField(true);
        boundfield.Key = "DepartmentID";
        boundfield.Header.Text = "Department ID";
        boundfield.DataFieldName = "DepartmentID";

        WebDataGrid1.Columns.Add(boundfield);

        boundfield = new BoundDataField(true);
        boundfield.Key = "DepartmentName";
        boundfield.Header.Text = "Department Name";
        boundfield.DataFieldName = "DepartmentName";

        WebDataGrid1.Columns.Add(boundfield);

        UnboundCheckBoxField unboundcheckbox = new UnboundCheckBoxField(true);
        unboundcheckbox.Key = "Check";
        unboundcheckbox.Header.Text = "Check";

        WebDataGrid1.Columns.Add(unboundcheckbox);
    }

    private DataTable GetDepartments()
    {
        DataTable dt = new DataTable("Departments");
        dt.Columns.Add("DepartmentID", typeof(int));
        dt.Columns.Add("DepartmentName", typeof(string));
        dt.Columns.Add("OnSite", typeof(bool));

        for (int i = 0; i < 4; i++)
        {
            dt.Rows.Add(new object[] { i, string.Format("Department {0}", i), i % 2 });
        }

        dt.PrimaryKey = new DataColumn[] { dt.Columns["DepartmentID"] };

        return dt;
    }

    protected void Button1_Click(object sender, EventArgs e)
    {

    }
}